%global commit0 a0763a246a81188f60b0f9810143e49224dc752f
%global date 20170423
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Summary: PolicyKit integration for the GNOME desktop
Name:    polkit-gnome
Version: 0.106
Release:    1%{?dist}
License: LGPLv2+
URL:     http://www.freedesktop.org/wiki/Software/PolicyKit
Source0: https://github.com/GNOME/PolicyKit-gnome/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Patch0:  02-select-default-user.patch
Patch1:  04-autorestart.patch
Patch2:  06-authentication-failure-string.patch
Patch3:  07-use-accountsservice.patch
Patch4:  08-fresh-x11-timestamps.patch
Patch5:  0001-auth-dialog-make-the-label-wrap-at-70-chars.patch
Patch6:  remove_g_type_init.patch

BuildRequires: make
BuildRequires: gtk3-devel
BuildRequires: glib2-devel >= 2.25.11
BuildRequires: polkit-devel >= 0.97-1
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc

Provides:  PolicyKit-gnome = 0.11
Provides:  PolicyKit-gnome-libs = 0.11
Provides:  polkit-gnome-devel = 0.102-2
Provides:  polkit-gnome-docs = 0.102-2

Provides:  PolicyKit-authentication-agent = %{version}

Requires:  polkit >= 0.97

%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%prep
%autosetup -p1 -n PolicyKit-gnome-%{?commit0}%{?!commit0:%{version}}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static --enable-compile-warnings=no
%{make_build} V=1

%install
%{make_install}

%find_lang polkit-gnome-1


%files -f polkit-gnome-1.lang
%doc AUTHORS README NEWS 
%license COPYING
%{_libexecdir}/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.106-1
- initial build
